> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/auth/login

## OpenAPI

````json POST /v1/auth/login
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/auth/login": {
      "post": {
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1AuthLoginPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1AuthLoginPostResponse"
                }
              }
            }
          },
          "400": {
            "description": "Not Authenticated"
          },
          "401": {
            "description": "Authenticated Failed"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1AuthLoginPostRequest": {
        "type": "object",
        "properties": {
          "username": {
            "type": "string",
            "example": "user@example.com"
          },
          "password": {
            "type": "string",
            "example": "password123"
          }
        },
        "required": [
          "username",
          "password"
        ]
      },
      "v1AuthLoginPostResponse": {
        "type": "object",
        "properties": {
          "auth": {
            "type": "boolean",
            "example": true
          },
          "token": {
            "type": "string",
            "example": "gr-auth-12345678-1234-1234-1234-123456789012-87654321-4321-4321-4321-210987654321"
          },
          "accountType": {
            "type": "string",
            "enum": [
              "no_account",
              "enterprise",
              "provider",
              "msp",
              "graphiant"
            ],
            "example": "enterprise"
          },
          "email": {
            "type": "string",
            "example": "user@example.com",
            "description": "User email address (returned for MFA users)"
          },
          "mfaType": {
            "type": "string",
            "example": "TOTP",
            "description": "MFA type (returned for MFA users)"
          },
          "stateToken": {
            "type": "string",
            "example": "state-token-12345",
            "description": "State token for MFA verification (returned for MFA users)"
          },
          "status": {
            "type": "string",
            "example": "AwaitingMfa",
            "description": "Authentication status (returned for MFA users)"
          }
        }
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

